Overview | Modules | Class Hierarchy | Classes | Members

# TlpQtTools.h File Reference

`#include "tulip/Reflect.h"`
`#include "tulip/Graph.h"`
`#include "tulip/GlMainWidget.h"`

Include dependency graph for TlpQtTools.h:

## Namespaces

- namespace tlp

## Functions

- TLP_QT_SCOPE bool tlp::openDataSetDialog (DataSet &outSet, const StructDef *sysDef, StructDef *inDef, const DataSet *inSet=NULL, const char *inName=NULL, Graph *inG=NULL, QWidget *parent=NULL)
- TLP_QT_SCOPE void tlp::openGraphOnGlMainWidget (Graph *graph, DataSet *dataSet, GlMainWidget *glMainWidget)
- TLP_QT_SCOPE void tlp::loadInteractorPluginsFromDir (std::string dir, PluginLoader *loader=0)
- TLP_QT_SCOPE void tlp::loadViewPluginsFromDir (std::string dir, PluginLoader *loader=0)
- TLP_QT_SCOPE void tlp::loadControllerPluginsFromDir (std::string dir, PluginLoader *loader=0)
- TLP_QT_SCOPE bool tlp::canUseQGLPixelBuffer ()

Tulip Software by LaBRI Visualization Team 2001 - 2010